CI: Don't run CI with -Werror

Use --enable-compile-warnings=yes instead of =error so that we don't fail
the build in case of new warnings popping up because of a new version of
the compiler. (In this case, the warnings are in the installed regression
test sources from gobject-introspection, so they can't be fixed
directly in GJS. In another case, we had new warnings from GCC 8 in GLib
headers.)
11 jobs for march-maintenance in 32 minutes and 55 seconds (queued for 9 seconds)
Status Job ID Name Coverage
  Static Analysis
passed #20165
cppcheck

00:00:59

passed #20166
cpplint

00:00:49

passed #20167
eslint

00:01:00

 
  Test
passed #20168
fedora

00:02:03

 
  Build
passed #20169
fedora_clang

00:04:59

 
  Thorough Tests
passed #20172
coverage

00:24:14

passed #20171
installed_tests

00:06:40

manual #20175
allowed to fail manual
no_graphics
passed #20170
no_profiler

00:02:07

passed #20173
sanitizer_gcc

00:10:41

manual #20174
allowed to fail manual
valgrind